@use 'sass/color';
@use 'sass/size';

@mixin full {
  position: relative;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

@mixin center-items($x: center, $y: center) {
  display: flex;
  justify-content: #{$x};
  align-items: #{$y};
}

@mixin page($flex-dir: column) {
  @include full;
  display: flex;
  flex-flow: #{$flex-dir} wrap;
  gap: size.$gap;
  justify-content: space-evenly;
  padding: size.$gap;
}

@mixin card {
  flex: 1 1 200px;
  border-radius: size.$border-radius;
  background-color: color.$card;
}

@mixin hovering {
  -webkit-box-shadow: 2px 3px 24px 6px rgba(0, 0, 0, 0.3);
  box-shadow: 2px 3px 24px 6px rgba(0, 0, 0, 0.3);
}
